Module javafx.base
Package javafx.beans.property

# Class SimpleObjectProperty<T>

java.lang.Object
javafx.beans.binding.ObjectExpression<T>
javafx.beans.property.ReadOnlyObjectProperty<T>
javafx.beans.property.ObjectProperty<T>
javafx.beans.property.ObjectPropertyBase<T>
javafx.beans.property.SimpleObjectProperty<T>

Type Parameters:
  `T` - the type of the wrapped `Object`

All Implemented Interfaces:
  `Observable`, `Property<T>`, `ReadOnlyProperty<T>`, `ObservableObjectValue<T>`, `ObservableValue<T>`, `WritableObjectValue<T>`, `WritableValue<T>`

Direct Known Subclasses:
  `ReadOnlyObjectWrapper`

    public class SimpleObjectProperty<T>
    extends ObjectPropertyBase<T>

This class provides a full implementation of a `Property` wrapping an arbitrary `Object`.

Since:
  JavaFX 2.0
See Also:
  `ObjectPropertyBase`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `SimpleObjectProperty()` | The constructor of `ObjectProperty`
  `SimpleObjectProperty​(Object bean, String name)` | The constructor of `ObjectProperty`
  `SimpleObjectProperty​(Object bean, String name, T initialValue)` | The constructor of `ObjectProperty`
  `SimpleObjectProperty​(T initialValue)` | The constructor of `ObjectProperty`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Object` | `getBean()` | Returns the `Object` that contains this property.
  `String` | `getName()` | Returns the name of this property.

  ### Methods inherited from class javafx.beans.property.ObjectPropertyBase

  `addListener, addListener, bind, fireValueChangedEvent, get, invalidated, isBound, removeListener, removeListener, set, toString, unbind`

  ### Methods inherited from class javafx.beans.property.ObjectProperty

  `bindBidirectional, setValue, unbindBidirectional`

  ### Methods inherited from class javafx.beans.binding.ObjectExpression

  `asString, asString, asString, getValue, isEqualTo, isEqualTo, isNotEqualTo, isNotEqualTo, isNotNull, isNull, objectExpression`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface javafx.beans.value.ObservableValue

  `getValue`

  ### Methods inherited from interface javafx.beans.value.WritableValue

  `getValue`

- ## Constructor Details

  - ### SimpleObjectProperty

    public SimpleObjectProperty()
    The constructor of `ObjectProperty`

  - ### SimpleObjectProperty

    public SimpleObjectProperty​(T initialValue)
    The constructor of `ObjectProperty`
    Parameters:
      `initialValue` - the initial value of the wrapped value

  - ### SimpleObjectProperty

    public SimpleObjectProperty​(Object bean, String name)
    The constructor of `ObjectProperty`
    Parameters:
      `bean` - the bean of this `ObjectProperty`
      `name` - the name of this `ObjectProperty`

  - ### SimpleObjectProperty

    public SimpleObjectProperty​(Object bean, String name, T initialValue)
    The constructor of `ObjectProperty`
    Parameters:
      `bean` - the bean of this `ObjectProperty`
      `name` - the name of this `ObjectProperty`
      `initialValue` - the initial value of the wrapped value

- ## Method Details

  - ### getBean

    public Object getBean()
    Returns the `Object` that contains this property. If this property is not contained in an `Object`, `null` is returned.
    Returns:
      the containing `Object` or `null`

  - ### getName

    public String getName()
    Returns the name of this property. If the property does not have a name, this method returns an empty `String`.
    Returns:
      the name or an empty `String`